Subject: Re: [PATCH net] macmace: Set platform device coherent_dma_mask

From: Christoph Hellwig <[email-masked]>
Date: Thu, 3 May 2018 10:51:20 +0200

On Thu, May 03, 2018 at 10:46:56AM +0200, Geert Uytterhoeven wrote:
> Perhaps you can add a new helper (platform_device_register_simple_dma()?)
> that takes the DMA mask, too?
> With people setting the mask to kill the WARNING splat, this may become
> more common.
> 
> struct platform_device_info already has a dma_mask field, but
> platform_device_register_resndata() explicitly sets it to zero.

Yes, that would be useful.  The other assumption could be that
platform devices always allow an all-0xff dma mask.